Bug 867418 - Seam2.3 seam-gen generate fails with java.lang.NoSuchMethodError: org.hibernate.internal.util.xml.XMLHelper.createSAXReader(Ljava/lang/String;Ljava/util/List;Lorg/xml/sax/EntityResolver;)Lorg/dom4j/io/SAXReader;
Seam2.3 seam-gen generate fails with java.lang.NoSuchMethodError: org.hibern...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Seam (Show other bugs)
2.1.0
Unspecified Unspecified
unspecified Severity high
: CR1
: 2.1.0
Assigned To: Marek Novotny
Marek Schmidt
Seam2.3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 09:26 EDT by Marek Schmidt
Modified: 2012-11-30 10:33 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-30 10:33:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Schmidt 2012-10-17 09:26:17 EDT
Description of problem:

Running seam-gen generate fails:

$ ../../seam generate
SEAM_HOME: /home/maschmid/testing/wfk/wfk2.1.0.ER2/jboss-wfk-2.1.0.ER2/jboss-seam-2.3.0.Final-redhat-1
Using seam-gen sources from: /home/maschmid/testing/wfk/wfk2.1.0.ER2/jboss-wfk-2.1.0.ER2/jboss-seam-2.3.0.Final-redhat-1/seam-gen
Buildfile: /home/maschmid/testing/wfk/wfk2.1.0.ER2/jboss-wfk-2.1.0.ER2/jboss-seam-2.3.0.Final-redhat-1/seam-gen/build.xml

init:

init-properties:
     [echo] /home/maschmid/testing/wfk/wfk2.1.0.ER2/jboss-wfk-2.1.0.ER2/jboss-seam-2.3.0.Final-redhat-1/tmp/jboss-eap-6.0

validate-workspace:

validate-project:

init-generate:

generate-model:
     [echo] Reverse engineering database using JDBC driver /home/maschmid/tmp/mysql-connector-java-5.1.17.jar
     [echo] project=/home/maschmid/testing/wfk/wfk2.1.0.ER2/jboss-wfk-2.1.0.ER2/jboss-seam-2.3.0.Final-redhat-1/tmp/myproject
     [echo] model=com.mydomain.myproject.model
[hibernate] Executing Hibernate Tool with a JDBC Configuration (for reverse engineering)
[hibernate] 1. task: hbm2java (Generates a set of .java files)
[hibernate] SLF4J: Failed to load class "org.slf4j.impl.StaticLoggerBinder".
[hibernate] SLF4J: Defaulting to no-operation (NOP) logger implementation
[hibernate] SLF4J: See http://www.slf4j.org/codes.html#StaticLoggerBinder for further details.
[hibernate] log4j:WARN No appenders could be found for logger (org.jboss.logging).
[hibernate] log4j:WARN Please initialize the log4j system properly.

BUILD FAILED
/home/maschmid/testing/wfk/wfk2.1.0.ER2/jboss-wfk-2.1.0.ER2/jboss-seam-2.3.0.Final-redhat-1/seam-gen/build.xml:1512: java.lang.NoSuchMethodError: org.hibernate.internal.util.xml.XMLHelper.createSAXReader(Ljava/lang/String;Ljava/util/List;Lorg/xml/sax/EntityResolver;)Lorg/dom4j/io/SAXReader;

Total time: 1 second


Version-Release number of selected component (if applicable):
jboss-seam-2.3.0.Final-redhat-1
Comment 2 Marek Novotny 2012-10-30 09:45:27 EDT
Hibernate Core 4.1.2 changed method declaration org.hibernate.internal.util.xml.XMLHelper class method from
public SAXReader createSAXReader(String file, List errorsList, EntityResolver entityResolver) 
to 
public SAXReader createSAXReader(ErrorHandler errorHandler, EntityResolver entityResolver)

EAP 6.0 and WFK currently uses 4.1.3.Final-redhat-1, so we need to bring 4.1.1 or older for Hibernate-tools runtime
Comment 3 Marek Novotny 2012-10-30 12:05:02 EDT
I added special jar as lib/gen/hibernate-core.jar (4.0.0.Final) for hibernate-tools runtime
Comment 5 Karel Piwko 2012-11-30 10:33:41 EST
Distributed as a part of WFK 2.1.0.GA release.

Note You need to log in before you can comment on or make changes to this bug.